lev

## Class LStringSearcher

- java.lang.Object
- - lev.LStringSearcher

-     public class LStringSearcher
      extends java.lang.Object

  A helper object that manages searching a stream for targets.
  To use an LStringSearcher:
  1) Create one with the targets desired.
  2) read single ints from your stream and feed it to the next() functions
  3) If a non-empty string is returned, then it is the target that was found.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LStringSearcher(java.lang.String... targets_)` Creates an LStringSearcher object that will look for the given target strings.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `next(char in)` Inform the searcher of the next input, and receive feedback if something was found.
    `java.lang.String` | `next(char in, java.io.BufferedInputStream input)` Specialized next function that marks the stream unless a portion of a target is found, which allows you to reset and get to the stream at the start of the target once one is found.
    `java.lang.String` | `next(int in)` Inform the searcher of the next input, and receive feedback if something was found.
    `java.lang.String` | `next(int in, java.io.BufferedInputStream input)` Specialized next function that marks the stream unless a portion of a target is found, which allows you to reset and get to the stream at the start of the target once one is found.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LStringSearcher

          public LStringSearcher(java.lang.String... targets_)

      Creates an LStringSearcher object that will look for the given target strings.
      Parameters:
        `targets_` - Strings to look for.

  - ### Method Detail

    - #### next

          public java.lang.String next(int in)

      Inform the searcher of the next input, and receive feedback if something was found.
      Parameters:
        `in` - The next input
      Returns:
        Target if found, empty string if not.

    - #### next

          public java.lang.String next(char in)

      Inform the searcher of the next input, and receive feedback if something was found.
      Parameters:
        `in` - The next input
      Returns:
        Target if found, empty string if not.

    - #### next

          public java.lang.String next(int in,
                              java.io.BufferedInputStream input)

      Specialized next function that marks the stream unless a portion of a target is found, which allows you to reset and get to the stream at the start of the target once one is found.
      Parameters:
        `in` - The next input
        `input` - Stream to mark.
      Returns:
        Target if found, empty string if not.

    - #### next

          public java.lang.String next(char in,
                              java.io.BufferedInputStream input)

      Specialized next function that marks the stream unless a portion of a target is found, which allows you to reset and get to the stream at the start of the target once one is found.
      Parameters:
        `in` - The next input
        `input` - Stream to mark.
      Returns:
        Target if found, empty string if not.